APIFlight

Delete a flight

Deprecated

POST
/flight/delete

Deprecated: This endpoint will be removed in the next major AirTrail release. Migrate to DELETE /api/v1/flights/{id}. Delete a flight by ID. A passenger requires flight.delete.own; deleting any flight requires flight.delete.any.

Authorization

bearerAuth
headerAuthorizationBearer <token>

Go to Settings -> Security and create a new API key. Use the generated key as the bearer token.

Request Body

application/json
  1. body
id?number

The ID of the flight to delete.

Response Body

Flight deleted successfully

application/json
  1. response
success?boolean
Example Request
curl -X POST 'https://your-instance.com/api/flight/delete' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "success": true}